local mod = ...



-- Upgrade: Candle Production -------------------------------------------------------------------------------------

mod:overrideAsset({
    Id = "BUILDING_PART_CANDLE_WORKSHOP_EXTENSION",
    Cost = {
        BuildRightTaxes = {
            Action = "APPEND",
            { Resource = "RESOURCE_LEARNING_ALCHEMY", Quantity = 25 },
            { Resource = "GOLD_COINS", Quantity = 50 },
        },
        UpkeepCost = {
            { Resource = "GOLD_COINS", Quantity = 25 }
        },
    },
})



-- Add to Building
if (foundation.isModLoaded("f6361b64-05d3-4ab5-a2db-b3b60dc4d307")) then -- Livestock Farms mod

    mod:overrideAsset({
        Id = "BUILDING_LIVESTOCKFARM_CHANDLER",
        BuildingPartSetList = {
            Action = "APPEND",
            {
                Name = "BUILDING_PART_SETLIST_UPGRADE",
                BuildingPartList = {
                    "BUILDING_PART_CANDLE_WORKSHOP_EXTENSION",
                },
            },
        },
    })

end